using System.ComponentModel.DataAnnotations;

namespace Hncore.Pass.PaymentCenter.Domain.Refund
{
    /// <summary>
    /// 撤销状态
    /// </summary>
    public enum CancelStatus
    {
        [Display(Name ="未知")]None = 0,

        /// <summary>
        /// 撤销中
        /// </summary>
        [Display(Name = "撤销中")] Canceling = 1,

        /// <summary>
        /// 撤销成功
        /// </summary>
        [Display(Name = "撤销成功")] Success = 2,

        /// <summary>
        /// 撤销失败
        /// </summary>
        [Display(Name = "撤销失败")] Fail = 3
    }
}